src: |
  SELECT t_codes_retour_groupeur.oid,
          CASE
              WHEN t_codes_retour_groupeur.type <> ALL (ARRAY['C'::bpchar, 'G'::bpchar, 'I'::bpchar]) THEN t_codes_retour_groupeur.code
              ELSE t_codes_retour_groupeur.type::text || t_codes_retour_groupeur.code
          END AS code,
          CASE
              WHEN t_codes_retour_groupeur.type <> ALL (ARRAY['C'::bpchar, 'G'::bpchar, 'I'::bpchar]) THEN (t_codes_retour_groupeur.code || ' - '::text) || t_codes_retour_groupeur.texte
              ELSE ((t_codes_retour_groupeur.type::text || t_codes_retour_groupeur.code) || ' - '::text) || t_codes_retour_groupeur.texte
          END AS texte
     FROM pmsi.t_codes_retour_groupeur;